Bug 598790 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox wa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:d09e47f664e7b29fe19c9abd584...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 23:33 EDT by Ivan Dzombak
Modified: 2010-06-03 21:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-03 09:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (248.70 KB, text/plain)
2010-06-01 23:34 EDT, Ivan Dzombak
no flags Details

  None (edit)
Description Ivan Dzombak 2010-06-01 23:33:04 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.6/firefox
global_uuid: d09e47f664e7b29fe19c9abd58486c3d03f645e5
kernel: 2.6.33.5-112.fc13.i686
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. I was playing around with copying application icons to the top user panel when Firefox crashed
2.
3.
Comment 1 Ivan Dzombak 2010-06-01 23:34:27 EDT
Created attachment 418889 [details]
File: backtrace
Comment 2 Chris Campbell 2010-06-02 08:28:14 EDT
#3  <signal handler called>
No symbol table info available.
#4  IA__g_type_check_instance_is_a (type_instance=0xa4048380, 
    iface_type=3076084160) at gtype.c:3937
        node = 0x656c6964
        iface = 0xb75951c0
        check = 1701603686
#5  0x0463b8a6 in IA__gtk_drag_get_source_widget (context=0xa4048380)
    at gtkdnd.c:1012
        __inst = 0xa4048380
        __t = <value optimized out>
        __r = <value optimized out>
        _g_boolean_var_ = <value optimized out>
        tmp_list = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_drag_get_source_widget"
#6  0x05db0694 in nsDragService::IsTargetContextList (this=0xb3598b80)
    at nsDragService.cpp:945
        retval = 0
        tmp = <value optimized out>
#7  0x05db1cf7 in nsDragService::GetNumDropItems (this=0xb3598b80, 
    aNumItems=0xbfc3a8d4) at nsDragService.cpp:434
        isList = <value optimized out>
#8  0x058d7cdc in nsDOMDataTransfer::CacheExternalFormats (this=0xa79ae280)
    at nsDOMDataTransfer.cpp:806
        dragService = {<nsCOMPtr_base> = {
            mRawPtr = 0xb3598b80}, <No data fields>}
        ssm = <value optimized out>
        count = 0
        dragSession = {<nsCOMPtr_base> = {
            mRawPtr = 0xb3598b84}, <No data fields>}
        sysPrincipal = {<nsCOMPtr_base> = {
            mRawPtr = 0xb71e0b00}, <No data fields>}
        formats = {0x5fb7745 "application/x-moz-file", 0x5faa741 "text/html", 
          0x5fb775c "text/x-moz-url", 0x5fb7731 "text/x-moz-url-data", 
          0x5fb7724 "text/unicode"}
#9  0x058d80ed in nsDOMDataTransfer::nsDOMDataTransfer (this=0xa79ae280, 
    aEventType=1401, aAction=4) at nsDOMDataTransfer.cpp:97
No locals.
#10 0x05849e07 in nsContentUtils::SetDataTransferInEvent (
    aDragEvent=0xbfc3b6fc) at nsContentUtils.cpp:4662
        action = 4
        dragSession = {<nsCOMPtr_base> = {
            mRawPtr = 0xb3598b84}, <No data fields>}
        initialDataTransfer = {<nsCOMPtr_base> = {
            mRawPtr = 0x0}, <No data fields>}
        initialDataTransferNS = {<nsCOMPtr_base> = {
            mRawPtr = 0xbfc3a9e4}, <No data fields>}
#11 0x058cc6c6 in nsDOMDragEvent::GetDataTransfer (this=0xaf81fdc0, 
    aDataTransfer=0xbfc3a9e0) at nsDOMDragEvent.cpp:135
        rv = <value optimized out>
        dragEvent = 0xbfc3b6fc



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-06-02 08:40:51 EDT
Reporter, can you give us more detailed reliable reproduction steps?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Ivan Dzombak 2010-06-02 22:58:34 EDT
(In reply to comment #3)
> Reporter, can you give us more detailed reliable reproduction steps?
> 
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers    

I'm sorry, but I wasn't expecting the crash, so I wasn't paying a whole lot of attention to what I was doing when it happened.  I had a few tabs open in Firefox -- gmail plus a couple of linux-related sites.  While these were open, I was customizing the top "panel" in the gnome desktop by copying some program icons from the application drop-down menu to the top panel.  I may also have been clicking on some of the standard notification applets there when the crash occurred.  I had also recently (30 minutes prior) installed the Adobe flash player plugin for Firefox, and it seemed to be working fine.  

Without more detailed info on how to reproduce it, this one may be a lost cause.  If it happens again, I'll try to document it better.
Comment 5 Chris Campbell 2010-06-03 09:09:26 EDT
Thank you for your quick response. If the crash re-occurs, abrt should recognize that it is/is not the same. As it is, this back-trace alone is not specific enough to troubleshoot the root cause without being able to reproduce the crash. Closing for now. Feel free to re-open if you disagree with this determination.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Ivan Dzombak 2010-06-03 21:55:30 EDT
Agreed... I wouldn't want to try to debug it without any way to reproduce it either :-)  Thanks.

Note You need to log in before you can comment on or make changes to this bug.